# ------------- -------------------------------------------------------------
# ------------- What are your main roles in your FOSS project? --------------
# ------------- -------------------------------------------------------------
fossanalyze.main_role_all <- function (saveFile=FALSE, file="main_role_all") {

nm <- foss$CB_MAIN_ROLES

roleVector <- c(length(nm[nm %in% grep(rolesAll[1], nm, value=TRUE)]),
         length(nm[nm %in% grep(rolesAll[2], nm, value=TRUE)]),
         length(nm[nm %in% grep(rolesAll[3], nm, value=TRUE)]),
         length(nm[nm %in% grep(rolesAll[4], nm, value=TRUE)]),
         length(nm[nm %in% grep(rolesAll[5], nm, value=TRUE)]),
         length(nm[nm %in% grep(rolesAll[6], nm, value=TRUE)]),
         length(nm[nm %in% grep(rolesAll[7], nm, value=TRUE)]))

# wenn "saveFile", dann in png "file" abspeichern:
if (saveFile) png(paste(file, "png", sep="."), width=700, height=700)

barplot(roleVector,
     names.arg = rolesAll,
     main="What are your main roles in your FOSS project?",     
     xlab="Main Role", 
     ylab="Number of participants",
     ylim = c(0,80),
     col="lightskyblue")     

grid(3, NULL)

# wenn "saveFile", stop output-redirection to file 
if (saveFile) dev.off()

}

fossanalyze.main_role_all(TRUE)
